Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(787)

Issue 1751553002: Cache csi info before passing it to JS setters. (Closed)

Created:
4 years, 4 months ago by meacer
Modified:
4 years, 4 months ago
CC:
chromium-apps-reviews_chromium.org, chromium-reviews, extensions-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Cache csi info before passing it to JS setters. JS setters invalidate the pointers frame, data_source and document_state. BUG=590455 Committed: https://crrev.com/9d92ff158726601ae5c044d62050614f076eaae4 Cr-Commit-Position: refs/heads/master@{#379047}

Patch Set 1 #

Total comments: 2

Patch Set 2 : jochen comments - dont use deprecated calls #

Unified diffs Side-by-side diffs Delta from patch set Stats (+171 lines, -60 lines) Patch
M chrome/renderer/loadtimes_extension_bindings.cc View 1 2 chunks +171 lines, -60 lines 0 comments Download

Messages

Total messages: 12 (3 generated)
meacer
4 years, 4 months ago (2016-02-29 20:03:34 UTC) #2
jochen (gone - plz use gerrit)
would you be willing to rewrite those bindings using in::Wrappable instead? v8::Extensions are bad for ...
4 years, 4 months ago (2016-03-01 14:35:36 UTC) #3
meacer
On 2016/03/01 14:35:36, jochen wrote: > would you be willing to rewrite those bindings using ...
4 years, 4 months ago (2016-03-01 21:36:32 UTC) #4
jochen (gone - plz use gerrit)
https://codereview.chromium.org/1751553002/diff/1/chrome/renderer/loadtimes_extension_bindings.cc File chrome/renderer/loadtimes_extension_bindings.cc (right): https://codereview.chromium.org/1751553002/diff/1/chrome/renderer/loadtimes_extension_bindings.cc#newcode199 chrome/renderer/loadtimes_extension_bindings.cc:199: csi->Set(v8::String::NewFromUtf8(isolate, "startE"), please use the non-deprecated versions: v8::Local<v8::Context> ctx ...
4 years, 4 months ago (2016-03-02 10:48:31 UTC) #5
meacer
https://codereview.chromium.org/1751553002/diff/1/chrome/renderer/loadtimes_extension_bindings.cc File chrome/renderer/loadtimes_extension_bindings.cc (right): https://codereview.chromium.org/1751553002/diff/1/chrome/renderer/loadtimes_extension_bindings.cc#newcode199 chrome/renderer/loadtimes_extension_bindings.cc:199: csi->Set(v8::String::NewFromUtf8(isolate, "startE"), On 2016/03/02 10:48:31, jochen wrote: > please ...
4 years, 4 months ago (2016-03-02 20:46:36 UTC) #6
jochen (gone - plz use gerrit)
lgtm
4 years, 4 months ago (2016-03-03 06:37:20 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1751553002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1751553002/20001
4 years, 4 months ago (2016-03-03 18:27:20 UTC) #9
commit-bot: I haz the power
Committed patchset #2 (id:20001)
4 years, 4 months ago (2016-03-03 18:51:56 UTC) #10
commit-bot: I haz the power
4 years, 4 months ago (2016-03-03 18:53:43 UTC) #12
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/9d92ff158726601ae5c044d62050614f076eaae4
Cr-Commit-Position: refs/heads/master@{#379047}

Powered by Google App Engine
This is Rietveld 408576698